Subject: Re: Amazon Order Issue # 114-9216304-6253849
From: Madison Siegel <[email-masked]>
To: [email-masked]
Date: Mon, 20 Jan 2025 14:10:02 -0500

Good afternoon, 

I am following up on this. 

Best, 
Madison Siegel 

Sent from my iPhone

> On Jan 17, 2025, at 12:43 PM, Madison Siegel <[email-masked]> wrote:
> 
> Good afternoon,
> 
> My call was disconnected, so I am emailing. I just hung the pair of curtains I ordered through Amazon and one is the incorrect length making it too short. Please send the correct size and confirm back. Thank you.
> 
> Address:
> 8434 Morgan Lane
> Zionsville, IN 46077
> 
> 
> 
> Best,
> Madison Siegel
> 765-461-3070
> 
> Sent from my iPhone